// RAM512X1S: 512-deep by 1-wide positive edge write, asynchronous read  (Mapped to eight LUT6s)
//            single-port distributed LUT RAM
//            UltraScale
// Xilinx HDL Language Template, version 2024.2

RAM512X1S #(
   .INIT(512'h00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000),
   .IS_WCLK_INVERTED(1'b0)  // Specifies active high/low WCLK
) RAM512X1S_inst (
   .O(O),       // Read/write port 1-bit output
   .A(A),       // Read/write port 9-bit address input
   .WE(WE),     // Write enable input
   .WCLK(WCLK), // Write clock input
   .D(D)        // RAM data input
);

// End of RAM512X1S_inst instantiation
