-- CFGLUT5: 5-input Dynamically Reconfigurable Look-Up Table (LUT)
--          UltraScale
-- Xilinx HDL Language Template, version 2024.2

CFGLUT5_inst : CFGLUT5
generic map (
   INIT => X"00000000",    -- Initial logic function
   IS_CLK_INVERTED => '0'  -- Optional inversion for CLK
)
port map (
   CDO => CDO, -- 1-bit output: Reconfiguration cascade
   O5 => O5,   -- 1-bit output: 4-LUT
   O6 => O6,   -- 1-bit output: 5-LUT
   CDI => CDI, -- 1-bit input: Reconfiguration data
   CE => CE,   -- 1-bit input: Reconfiguration enable
   CLK => CLK, -- 1-bit input: Clock
   -- LUT Inputs inputs: Logic inputs
   I0 => I0,
   I1 => I1,
   I2 => I2,
   I3 => I3,
   I4 => I4
);

-- End of CFGLUT5_inst instantiation
