// OBUFDS_GTE3_ADV: Gigabit Transceiver Buffer
//                  UltraScale
// Xilinx HDL Language Template, version 2024.2

OBUFDS_GTE3_ADV #(
   .REFCLK_EN_TX_PATH(1'b1),   // Refer to Transceiver User Guide.
   .REFCLK_ICNTL_TX(5'b00000)  // Refer to Transceiver User Guide.
)
OBUFDS_GTE3_ADV_inst (
   .O(O),                       // 1-bit output: Refer to Transceiver User Guide.
   .OB(OB),                     // 1-bit output: Refer to Transceiver User Guide.
   .CEB(CEB),                   // 1-bit input: Refer to Transceiver User Guide.
   .I(I),                       // 4-bit input: Refer to Transceiver User Guide.
   .RXRECCLK_SEL(RXRECCLK_SEL)  // 2-bit input: Refer to Transceiver User Guide.
);

// End of OBUFDS_GTE3_ADV_inst instantiation
