-- OSERDESE3: Output SERial/DESerializer
--            UltraScale
-- Xilinx HDL Language Template, version 2024.2

OSERDESE3_inst : OSERDESE3
generic map (
   DATA_WIDTH => 8,            -- Parallel Data Width (4-8)
   INIT => '0',                -- Initialization value of the OSERDES flip-flops
   IS_CLKDIV_INVERTED => '0',  -- Optional inversion for CLKDIV
   IS_CLK_INVERTED => '0',     -- Optional inversion for CLK
   IS_RST_INVERTED => '0',     -- Optional inversion for RST
   SIM_DEVICE => "ULTRASCALE"  -- Set the device version for simulation functionality (ULTRASCALE)
)
port map (
   OQ => OQ,         -- 1-bit output: Serial Output Data
   T_OUT => T_OUT,   -- 1-bit output: 3-state control output to IOB
   CLK => CLK,       -- 1-bit input: High-speed clock
   CLKDIV => CLKDIV, -- 1-bit input: Divided Clock
   D => D,           -- 8-bit input: Parallel Data Input
   RST => RST,       -- 1-bit input: Asynchronous Reset
   T => T            -- 1-bit input: Tristate input from fabric
);

-- End of OSERDESE3_inst instantiation
