// BUFG_GT: Clock Buffer Driven by Gigabit Transceiver
//          UltraScale
// Xilinx HDL Language Template, version 2024.2

BUFG_GT #(
   .SIM_DEVICE("ULTRASCALE_PLUS")  // ULTRASCALE, ULTRASCALE_PLUS
)
BUFG_GT_inst (
   .O(O),             // 1-bit output: Buffer
   .CE(CE),           // 1-bit input: Buffer enable
   .CEMASK(CEMASK),   // 1-bit input: CE Mask
   .CLR(CLR),         // 1-bit input: Asynchronous clear
   .CLRMASK(CLRMASK), // 1-bit input: CLR Mask
   .DIV(DIV),         // 3-bit input: Dynamic divide Value
   .I(I)              // 1-bit input: Buffer
);

// End of BUFG_GT_inst instantiation
